Package org.eclipse.gef.mvc.fx.ui.properties

# Interface IPropertySheetPageFactory

public interface IPropertySheetPageFactory
A factory to create a new `IPropertySheetPage`.

## Method Summary

Modifier and Type
Method
Description
`IPropertySheetPage`
`create(IWorkbenchPart workbenchPart)`
Creates a new `IPropertySheetPage` for the given `IWorkbenchPart`.

## Method Details

### create

IPropertySheetPage create(IWorkbenchPart workbenchPart)
Creates a new `IPropertySheetPage` for the given `IWorkbenchPart`.

Parameters:
  `workbenchPart` - The `IWorkbenchPart` this `IPropertySheetPage` is related to.
Returns:
  A new `IPropertySheetPage` instance.